# ShopUpdateEvent (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.event

## Class ShopUpdateEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - de.epiceric.shopchest.event.ShopUpdateEvent

    public class ShopUpdateEvent
    extends org.bukkit.event.Event

Called when the shop updater runs
It's not recommended to listen to this event!

### Nested Class Summary

Nested Classes
`static class` `ShopUpdateEvent.UpdateQuality`

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`ShopUpdateEvent()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopUpdateEvent

    public ShopUpdateEvent()

### Method Detail

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()